package ssw.mj.test;

import junit.framework.TestCase;

/**
 * Base class for test cases that print their name before they run.
 *
 * @author AW
 */
public class IdentifiedTestCase extends TestCase {

	protected void setUp() {
		// identify current test case in console output
		System.out.println();
		for (int i = 0; i <= getName().length(); i++)
			System.out.print("=");
		System.out.println();
		System.out.println(getName() + ":");
	}

}
